﻿#region Using Statements
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
#endregion

namespace FoodFight._2D
{
    public class FontEntity : Drawable
    {
        protected SpriteFont _font;
        protected string _text;

        public FontEntity(SpriteFont font, string text, Vector2 pos, float rot, Vector2 scale)
        {
            _font = font;
            _text = text;
            this.Position = pos;
            this.Rotation = rot;
            this.Scale = scale;
        }

        public override void Update()
        {
            
        }

        public override void Draw(Microsoft.Xna.Framework.Graphics.SpriteBatch sBatch)
        {
            // Find the center of the string
            Vector2 FontOrigin = _font.MeasureString(_text) / 2;
            // Draw the string
            sBatch.DrawString(_font, _text, this.Position, Color.Black,
                this.Rotation, FontOrigin, this.Scale, SpriteEffects.None, this.Layer);
        }
    }

    public class ScoreFont : FontEntity
    {
        public ScoreFont(SpriteFont font, string text, Vector2 pos, float rot, Vector2 scale)
            : base(font, text, pos, rot, scale) 
        {
            _font = font;
            _text = text;
            this.Position = pos;
            this.Rotation = rot;
            this.Scale = scale;
        }

        public override void Update()
        {
            _text = Convert.ToString(FoodFight.mainPlayer.Score);
            base.Update();
        }
    }
}
