﻿#region Using Statements
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
#endregion

namespace FoodFight._2D
{
    public class SpriteEntity : Drawable
    {
        public Rectangle SourceRect { get; set; }

        public Rectangle BoundingBox
        {
            get
            {
                return new Rectangle((int)(this.Position.X - (this.SourceRect.Width / 2)),
                    (int)(this.Position.Y - (this.SourceRect.Height / 2)),
                    (int)(this.SourceRect.Width),
                    (int)(this.SourceRect.Height));
            }
        }

        private Texture2D _tex;

        public Texture2D Texture
        {
            get { return _tex; }
        }

        public SpriteEntity(Texture2D texture, Rectangle src, Vector2 pos, float rot, Vector2 scale, bool visible, float layer)
        {
            _tex = texture;
            this.Position = pos;
            this.Rotation = rot;
            this.Scale = scale;
            this.Layer = layer;
            this.SourceRect = src;
            this.isVisible = visible;
        }

        public override void Update()
        {
            if (this.Rotation > 360.0f || this.Rotation < -360.0f)
            {
                this.Rotation = Math.Sign(this.Rotation) * (this.Rotation - 360.0f);
            }
        }

        public override void Draw(SpriteBatch sBatch)
        {
            sBatch.Draw(_tex, this.Position, this.SourceRect,
                Color.White, this.Rotation, new Vector2(this.SourceRect.Width / 2, this.SourceRect.Height / 2), this.Scale,
                SpriteEffects.None, this.Layer);
        }
    }
}
