﻿#region Using Statements
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content;
using FoodFight._2D;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework;
using System;
#endregion

namespace FoodFight
{
    public class MainMenu
    {
        private StateManager _states;
        private List<MenuItem> menuItems;

        public MainMenu(ContentManager content, StateManager stateManager)
        {
            menuItems = new List<MenuItem>();
            ContentLoadUtility.LoadMenuContent(content, "LoadFiles\\MainMenu.lfi", ref menuItems);

            _states = stateManager;
            _states.Push(GameStates.MainMenu);
        }

        public void Update(GameTime gameTime)
        {
            foreach (MenuItem mi in menuItems)
            {
                mi.Update(gameTime);
            }
        }

        public void Draw(SpriteBatch sBatch)
        {
            foreach (MenuItem mi in menuItems)
            {
                mi.Sprite.Draw(sBatch);
            }
        }

        public void Destroy()
        {
            // Would typically do clearing stuff here
            FoodFight.GameStateManager.Clear();
        }
    }
}
