﻿#region Using Statements
using Microsoft.Xna.Framework;
#endregion

namespace FoodFight
{
    public abstract class Renderable
    {
        protected ModelEntity _model;
        public float MovementSpeed { get; set; }

        public Renderable(ModelEntity model)
        {
            _model = model;
        }

        public float Rotation
        {
            get { return _model.Rotation; }
            set { _model.Rotation = value; }
        }

        public Vector3 Position
        {
            get { return _model.Position; }
            set { _model.Position = value; }
        }

        public void Draw(PlayerCamera camera)
        {
            _model.Draw(camera);
        }
        
        public abstract void Update();

    }
}
